PREFIX		?= arm-none-eabi
OOCD		?= openocd
OOCD_INTERFACE	?= flossjtag
OOCD_BOARD	?= olimex_stm32_h103

###

CC	:= $(PREFIX)-gcc
LD	:= $(PREFIX)-gcc
OBJCOPY	:= $(PREFIX)-objcopy
OBJDUMP	:= $(PREFIX)-objdump
GDB	:= $(PREFIX)-gdb

TESTDIR := ../$(PREFIX)/include ../$(PREFIX)/lib ../$(PREFIX)/bin 

DIR     := $(shell basename `pwd`)
NAME    := $(patsubst lib%,%,$(DIR))
IS_LIB  := $(findstring lib$(NAME),$(DIR))

MSRC := $(wildcard [A-Z]*.c) # let all c files beginning with capital lett be a program (i.e. contain main())
PRG  := $(patsubst %.c, %, $(MSRC)) # so we can do make prg

SRC  += $(filter-out $(MSRC),$(wildcard *.c)) # all other c files, put theese in lib.a
SRC  := $(sort $(SRC))		# remove possible duplicates

HDR  += $(wildcard *.h)
HDR  := $(sort $(HDR))		# remove possible duplicates

OBJ  := $(SRC:.c=.o)

CFLAGS  += -I../$(PREFIX)/include -I/usr/local/include
LDFLAGS += -L../$(PREFIX)/lib -L/usr/local/lib/
#TLDFLAGS += -laspoutil

.PHONY : clean dep depend FORCE tag all show test
.DELETE_ON_ERROR:
